org.appng.api

## Class SiteProperties

- java.lang.Object
- - org.appng.api.SiteProperties

-     public class SiteProperties
      extends Object

  Utility-class providing constants for the names of a `Site`'s `Properties`.
  Author:
    Matthias Müller
  See Also:
    `Site.getProperties()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALLOW_SKIP_RENDER` Allow skipping of the render phase using `render=false` for the manager GUI or the XSLT based rendering of `Taglet`s.
    `static String` | `APPEND_TAB_ID` If set to true, the name of the currently selected tab is being appended to the URL as a get-parameter.
    `static String` | `ASSETS_DIR` A semicolon-separated list of folder-names (relative to `WWW_DIR`) containing static resources such as images or pdfs
    `static String` | `AUTH_APPLICATION` The name of the `Application` which is responsible for the authentication
    `static String` | `AUTH_LOGIN_PAGE` The names of the login-pages (comma-separated) within the application defined in `AUTH_APPLICATION`.
    `static String` | `AUTH_LOGIN_REF` The action names (comma-separated) for the pages defined in `AUTH_LOGIN_PAGE`.
    `static String` | `AUTH_LOGOUT_ACTION_NAME` The name for the parameter defining the action on the logout-page
    `static String` | `AUTH_LOGOUT_ACTION_VALUE` The value for the parameter defining the action on the logout-page
    `static String` | `AUTH_LOGOUT_PAGE` The name of the logout-page within the application defined in `AUTH_APPLICATION`
    `static String` | `AUTH_LOGOUT_REF` The reference-path for the logout-action
    `static String` | `CACHE_BLOCKING_TIMEOUT` Deprecated. no more used
    `static String` | `CACHE_CLEAR_ON_SHUTDOWN` Whether or not the cache is cleared on a site shutdown/reload
    `static String` | `CACHE_ENABLED` Set to true to enable caching for this site
    `static String` | `CACHE_EXCEPTIONS` URL path prefixes which are never cached.
    `static String` | `CACHE_STATISTICS` Set to true to enable caching statistics
    `static String` | `CACHE_TIME_TO_LIVE` The default TTL for a cache entry in seconds, if there's no matching path defined in `CACHE_TIMEOUTS`.
    `static String` | `CACHE_TIMEOUTS` The cache timeouts as a multiline property, key=value
    `static String` | `CACHE_TIMEOUTS_ANT_STYLE` Use Ant-style path matching for `CACHE_TIMEOUTS`?
    `static String` | `CACHE_WATCH_REPOSITORY` Whether or not to watch the repository folder for changes and invalidate cache elements, if necessary
    `static String` | `CACHE_WATCHER_RULE_SOURCE_SUFFIX` The suffix to be removed from a element when parsing the rules from urlrewrite.xml for the repository watchers
    `static String` | `CSRF_PROTECTED_METHODS` a comma-separated list of HTTP-methods to enable CSRF protection for
    `static String` | `CSRF_PROTECTED_PATHS` a comma-separated list of path-prefixes to enable CSRF protection for
    `static String` | `CSRF_PROTECTION_ENABLED` Set to `true` to enable CSRF-protection for this site
    `static String` | `DATASOURCE_CONFIGURER` The fully qualified name of a class implementing `org.appng.core.repository.config.DatasourceConfigurer`, which is responsible for JDBC connection-pooling.
    `static String` | `DEFAULT_APPLICATION` The `Application` to be called after a successful login
    `static String` | `DEFAULT_PAGE` The name of the default-page (without extension) relative to one of the directories defined in `DOCUMENT_DIR`
    `static String` | `DEFAULT_PAGE_SIZE` The default page size (items per page)
    `static String` | `DEFAULT_PATH` The default path to forward to, when a request with the root path "/" comes in.
    `static String` | `DOCUMENT_DIR` A semicolon-separated list of folder-names (relative to `WWW_DIR`) containing JSP-files and also static resources like CSS or JavaScript files
    `static String` | `ENFORCE_PRIMARY_DOMAIN` Set to true to enforce the protocol used by the site (http or https)
    `static String` | `ERROR_PAGE` The name of the default error-page (without extension) relative to `WWW_DIR`
    `static String` | `ERROR_PAGES` The name of the error-page per document-directory (see `DOCUMENT_DIR`), multiple entries separated by a pipe (|)
    `static String` | `FEATURE_IMAGE_PROCESSING`
    `static String` | `FEATURE_INDEXING`
    `static String` | `HOST` The host of the site.
    `static String` | `INDEX_CONFIG` For each directory defined in `DOCUMENT_DIR`, there can be defined which locale and which Lucene-analyzer to use for indexing.
    `static String` | `INDEX_DIR` The folder containing the Lucene-Index, relative to `WWW_DIR`
    `static String` | `INDEX_FILE_SYSTEM_QUEUE_SIZE` the queue size used per directory when indexing the file system
    `static String` | `INDEX_FILETYPES` A list of comma-separated file-extensions (without leading dot) which are being indexed
    `static String` | `INDEX_QUEUE_SIZE` The queue size used for document indexing
    `static String` | `INDEX_TIMEOUT` The timeout in milliseconds for indexing
    `static String` | `JDBC_CONNECTION_TIMEOUT` The maximum number of milliseconds that a client will wait for a connection from the connection pool.
    `static String` | `JDBC_LOG_PERFORMANCE` Set to `true` to enable JDBC Performance Logger
    `static String` | `JDBC_MAX_LIFETIME` The maximum lifetime in milliseconds for a connection in the pool.
    `static String` | `JDBC_VALIDATION_TIMEOUT` The maximum number of milliseconds that the connection pool will wait for a connection to be validated as alive.
    `static String` | `LOADING_SCREEN` A multilined property containing a loading screen
    `static String` | `MANAGER_PATH` The path-suffix for the appNG-Webapplication
    `static String` | `NAME` The name of the site.
    `static String` | `RENEW_SESSION_AFTER_LOGIN` Should the session be renewed after a successful login?
    `static String` | `REWRITE_CONFIG` the location of the rewrite rules for UrlRewriteFilter, relative to `SITE_ROOT_DIR`
    `static String` | `SEARCH_CHUNK_SIZE` The chunksize (items per page) for the search-tag
    `static String` | `SEARCH_MAX_HITS` The maximum number of hits for the search-tag
    `static String` | `SERVICE_OUTPUT_FORMAT` The output format to be used when actions/datasources are being called through service URLs
    `static String` | `SERVICE_OUTPUT_TYPE` The output type to be used when actions/datasources are being called through service URLs
    `static String` | `SERVICE_PATH` The path-suffix for the services offered by appNG (such as `Webservice`s, `SoapService`s, `ActionProvider`s and `DataProvider`s)
    `static String` | `SESSION_TRACKING_ENABLED` Track usage of HTTP sessions?
    `static String` | `SET_DEBUG_HEADERS` Set debug headers in HTTP response?
    `static String` | `SITE_ROOT_DIR` The absolute path to the sites root-directory
    `static String` | `SUPPORT_RELOAD_FILE` If `true`, a site reload is performed when a file named `.reload` is created in the site's root directory
    `static String` | `SUPPORTED_LANGUAGES` A comma-separated list of the languages supported by the `Site`.
    `static String` | `SUSPEND_MAX_WAIT` The maximum time (in seconds) to wait for a suspended site to finish its requests
    `static String` | `SUSPEND_ON_RELOAD` Seconds to wait before performing a site reload, the site while be in state `Site.SiteState#SUSPENDED` meanwhile
    `static String` | `TAG_PREFIX` The prefix used for the appNG JSP-tags.
    `static String` | `TEMPLATE` The name of the template to use
    `static String` | `WWW_DIR` The name of the folder containing the web-contents, relative to `Platform.Property.REPOSITORY_PATH` configured in the appNG base configuration
    `static String` | `XSS_EXCEPTIONS` URL path prefixes where XSS protection is omitted.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALLOW_SKIP_RENDER

          public static final String ALLOW_SKIP_RENDER

      Allow skipping of the render phase using `render=false` for the manager GUI or the XSLT based rendering of `Taglet`s.
      See Also:
        Constant Field Values

    - #### APPEND_TAB_ID

          public static final String APPEND_TAB_ID

      If set to true, the name of the currently selected tab is being appended to the URL as a get-parameter. Addresses the issue that IE loses the anchor on a redirect.
      See Also:
        Constant Field Values

    - #### ASSETS_DIR

          public static final String ASSETS_DIR

      A semicolon-separated list of folder-names (relative to `WWW_DIR`) containing static resources such as images or pdfs
      See Also:
        Constant Field Values

    - #### AUTH_APPLICATION

          public static final String AUTH_APPLICATION

      The name of the `Application` which is responsible for the authentication
      See Also:
        Constant Field Values

    - #### AUTH_LOGIN_PAGE

          public static final String AUTH_LOGIN_PAGE

      The names of the login-pages (comma-separated) within the application defined in `AUTH_APPLICATION`. The number of comma-separated pages must be the same as in `AUTH_LOGIN_REF`, because "authLoginRef" [n] refers to "authLoginPage"[n]!
      See Also:
        Constant Field Values

    - #### AUTH_LOGIN_REF

          public static final String AUTH_LOGIN_REF

      The action names (comma-separated) for the pages defined in `AUTH_LOGIN_PAGE`. The number of comma-separated names must be the same as in `AUTH_LOGIN_PAGE`, because "authLoginRef" [n] refers to "authLoginPage"[n]!
      See Also:
        Constant Field Values

    - #### AUTH_LOGOUT_ACTION_NAME

          public static final String AUTH_LOGOUT_ACTION_NAME

      The name for the parameter defining the action on the logout-page
      See Also:
        Constant Field Values

    - #### AUTH_LOGOUT_ACTION_VALUE

          public static final String AUTH_LOGOUT_ACTION_VALUE

      The value for the parameter defining the action on the logout-page
      See Also:
        Constant Field Values

    - #### AUTH_LOGOUT_PAGE

          public static final String AUTH_LOGOUT_PAGE

      The name of the logout-page within the application defined in `AUTH_APPLICATION`
      See Also:
        Constant Field Values

    - #### AUTH_LOGOUT_REF

          public static final String AUTH_LOGOUT_REF

      The reference-path for the logout-action
      See Also:
        Constant Field Values

    - #### RENEW_SESSION_AFTER_LOGIN

          public static final String RENEW_SESSION_AFTER_LOGIN

      Should the session be renewed after a successful login?
      See Also:
        Constant Field Values

    - #### CSRF_PROTECTION_ENABLED

          public static final String CSRF_PROTECTION_ENABLED

      Set to `true` to enable CSRF-protection for this site
      See Also:
        Constant Field Values

    - #### CSRF_PROTECTED_METHODS

          public static final String CSRF_PROTECTED_METHODS

      a comma-separated list of HTTP-methods to enable CSRF protection for
      See Also:
        Constant Field Values

    - #### CSRF_PROTECTED_PATHS

          public static final String CSRF_PROTECTED_PATHS

      a comma-separated list of path-prefixes to enable CSRF protection for
      See Also:
        Constant Field Values

    - #### DATASOURCE_CONFIGURER

          public static final String DATASOURCE_CONFIGURER

      The fully qualified name of a class implementing `org.appng.core.repository.config.DatasourceConfigurer`, which is responsible for JDBC connection-pooling. Supported are `org.appng.core.repository.config.HikariCPConfigurer` and `org.appng.core.repository.config.TomcatJdbcConfigurer`
      See Also:
        Constant Field Values

    - #### DEFAULT_PAGE

          public static final String DEFAULT_PAGE

      The name of the default-page (without extension) relative to one of the directories defined in `DOCUMENT_DIR`
      See Also:
        Constant Field Values

    - #### DEFAULT_PAGE_SIZE

          public static final String DEFAULT_PAGE_SIZE

      The default page size (items per page)
      See Also:
        Constant Field Values

    - #### DEFAULT_APPLICATION

          public static final String DEFAULT_APPLICATION

      The `Application` to be called after a successful login
      See Also:
        Constant Field Values

    - #### DOCUMENT_DIR

          public static final String DOCUMENT_DIR

      A semicolon-separated list of folder-names (relative to `WWW_DIR`) containing JSP-files and also static resources like CSS or JavaScript files
      See Also:
        Constant Field Values

    - #### CACHE_ENABLED

          public static final String CACHE_ENABLED

      Set to true to enable caching for this site
      See Also:
        Constant Field Values

    - #### CACHE_EXCEPTIONS

          public static final String CACHE_EXCEPTIONS

      URL path prefixes which are never cached. Contains one prefix per line (multiline value).
      See Also:
        Constant Field Values

    - #### CACHE_BLOCKING_TIMEOUT

          @Deprecated
          public static final String CACHE_BLOCKING_TIMEOUT

      Deprecated. no more used
      See Also:
        Constant Field Values

    - #### CACHE_TIMEOUTS

          public static final String CACHE_TIMEOUTS

      The cache timeouts as a multiline property, key=value
      See Also:
        Constant Field Values

    - #### CACHE_TIMEOUTS_ANT_STYLE

          public static final String CACHE_TIMEOUTS_ANT_STYLE

      Use Ant-style path matching for `CACHE_TIMEOUTS`?
      See Also:
        Constant Field Values

    - #### CACHE_TIME_TO_LIVE

          public static final String CACHE_TIME_TO_LIVE

      The default TTL for a cache entry in seconds, if there's no matching path defined in `CACHE_TIMEOUTS`.
      See Also:
        Constant Field Values

    - #### CACHE_STATISTICS

          public static final String CACHE_STATISTICS

      Set to true to enable caching statistics
      See Also:
        Constant Field Values

    - #### CACHE_WATCHER_RULE_SOURCE_SUFFIX

          public static final String CACHE_WATCHER_RULE_SOURCE_SUFFIX

      The suffix to be removed from a element when parsing the rules from urlrewrite.xml for the repository watchers
      See Also:
        Constant Field Values

    - #### CACHE_WATCH_REPOSITORY

          public static final String CACHE_WATCH_REPOSITORY

      Whether or not to watch the repository folder for changes and invalidate cache elements, if necessary
      See Also:
        Constant Field Values

    - #### CACHE_CLEAR_ON_SHUTDOWN

          public static final String CACHE_CLEAR_ON_SHUTDOWN

      Whether or not the cache is cleared on a site shutdown/reload
      See Also:
        Constant Field Values

    - #### DEFAULT_PATH

          public static final String DEFAULT_PATH

      The default path to forward to, when a request with the root path "/" comes in. This is an optional setting.
      See Also:
        Constant Field Values

    - #### ENFORCE_PRIMARY_DOMAIN

          public static final String ENFORCE_PRIMARY_DOMAIN

      Set to true to enforce the protocol used by the site (http or https)
      See Also:
        Constant Field Values

    - #### ERROR_PAGE

          public static final String ERROR_PAGE

      The name of the default error-page (without extension) relative to `WWW_DIR`
      See Also:
        Constant Field Values

    - #### ERROR_PAGES

          public static final String ERROR_PAGES

      The name of the error-page per document-directory (see `DOCUMENT_DIR`), multiple entries separated by a pipe (|)
      See Also:
        Constant Field Values

    - #### FEATURE_IMAGE_PROCESSING

          public static final String FEATURE_IMAGE_PROCESSING

      See Also:
        Constant Field Values

    - #### FEATURE_INDEXING

          public static final String FEATURE_INDEXING

      See Also:
        Constant Field Values

    - #### HOST

          public static final String HOST

      The host of the site. For convenience only, do not change!
      See Also:
        Constant Field Values

    - #### INDEX_CONFIG

          public static final String INDEX_CONFIG

      For each directory defined in `DOCUMENT_DIR`, there can be defined which locale and which Lucene-analyzer to use for indexing.
      See Also:
        Constant Field Values

    - #### INDEX_DIR

          public static final String INDEX_DIR

      The folder containing the Lucene-Index, relative to `WWW_DIR`
      See Also:
        Constant Field Values

    - #### JDBC_CONNECTION_TIMEOUT

          public static final String JDBC_CONNECTION_TIMEOUT

      The maximum number of milliseconds that a client will wait for a connection from the connection pool.
      See Also:
        Constant Field Values

    - #### JDBC_LOG_PERFORMANCE

          public static final String JDBC_LOG_PERFORMANCE

      Set to `true` to enable JDBC Performance Logger
      See Also:
        Constant Field Values

    - #### JDBC_MAX_LIFETIME

          public static final String JDBC_MAX_LIFETIME

      The maximum lifetime in milliseconds for a connection in the pool.
      See Also:
        Constant Field Values

    - #### JDBC_VALIDATION_TIMEOUT

          public static final String JDBC_VALIDATION_TIMEOUT

      The maximum number of milliseconds that the connection pool will wait for a connection to be validated as alive.
      See Also:
        Constant Field Values

    - #### INDEX_TIMEOUT

          public static final String INDEX_TIMEOUT

      The timeout in milliseconds for indexing
      See Also:
        Constant Field Values

    - #### INDEX_FILE_SYSTEM_QUEUE_SIZE

          public static final String INDEX_FILE_SYSTEM_QUEUE_SIZE

      the queue size used per directory when indexing the file system
      See Also:
        Constant Field Values

    - #### INDEX_FILETYPES

          public static final String INDEX_FILETYPES

      A list of comma-separated file-extensions (without leading dot) which are being indexed
      See Also:
        Constant Field Values

    - #### INDEX_QUEUE_SIZE

          public static final String INDEX_QUEUE_SIZE

      The queue size used for document indexing
      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      The name of the site. For convenience only, do not change!
      See Also:
        Constant Field Values

    - #### REWRITE_CONFIG

          public static final String REWRITE_CONFIG

      the location of the rewrite rules for UrlRewriteFilter, relative to `SITE_ROOT_DIR`
      See Also:
        Constant Field Values

    - #### SUPPORTED_LANGUAGES

          public static final String SUPPORTED_LANGUAGES

      A comma-separated list of the languages supported by the `Site`.
      See Also:
        Constant Field Values

    - #### SEARCH_CHUNK_SIZE

          public static final String SEARCH_CHUNK_SIZE

      The chunksize (items per page) for the search-tag
      See Also:
        Constant Field Values

    - #### SEARCH_MAX_HITS

          public static final String SEARCH_MAX_HITS

      The maximum number of hits for the search-tag
      See Also:
        Constant Field Values

    - #### SERVICE_OUTPUT_FORMAT

          public static final String SERVICE_OUTPUT_FORMAT

      The output format to be used when actions/datasources are being called through service URLs
      See Also:
        Constant Field Values

    - #### SERVICE_OUTPUT_TYPE

          public static final String SERVICE_OUTPUT_TYPE

      The output type to be used when actions/datasources are being called through service URLs
      See Also:
        Constant Field Values

    - #### SERVICE_PATH

          public static final String SERVICE_PATH

      The path-suffix for the services offered by appNG (such as `Webservice`s, `SoapService`s, `ActionProvider`s and `DataProvider`s)
      See Also:
        Constant Field Values

    - #### SESSION_TRACKING_ENABLED

          public static final String SESSION_TRACKING_ENABLED

      Track usage of HTTP sessions?
      See Also:
        Constant Field Values

    - #### SET_DEBUG_HEADERS

          public static final String SET_DEBUG_HEADERS

      Set debug headers in HTTP response?
      See Also:
        Constant Field Values

    - #### SITE_ROOT_DIR

          public static final String SITE_ROOT_DIR

      The absolute path to the sites root-directory
      See Also:
        Constant Field Values

    - #### SUPPORT_RELOAD_FILE

          public static final String SUPPORT_RELOAD_FILE

      If `true`, a site reload is performed when a file named `.reload` is created in the site's root directory
      See Also:
        Constant Field Values

    - #### SUSPEND_MAX_WAIT

          public static final String SUSPEND_MAX_WAIT

      The maximum time (in seconds) to wait for a suspended site to finish its requests
      See Also:
        Constant Field Values

    - #### SUSPEND_ON_RELOAD

          public static final String SUSPEND_ON_RELOAD

      Seconds to wait before performing a site reload, the site while be in state `Site.SiteState#SUSPENDED` meanwhile
      See Also:
        Constant Field Values

    - #### TAG_PREFIX

          public static final String TAG_PREFIX

      The prefix used for the appNG JSP-tags.
      See Also:
        Constant Field Values

    - #### TEMPLATE

          public static final String TEMPLATE

      The name of the template to use
      See Also:
        Constant Field Values

    - #### LOADING_SCREEN

          public static final String LOADING_SCREEN

      A multilined property containing a loading screen
      See Also:
        Constant Field Values

    - #### MANAGER_PATH

          public static final String MANAGER_PATH

      The path-suffix for the appNG-Webapplication
      See Also:
        Constant Field Values

    - #### WWW_DIR

          public static final String WWW_DIR

      The name of the folder containing the web-contents, relative to `Platform.Property.REPOSITORY_PATH` configured in the appNG base configuration
      See Also:
        Constant Field Values

    - #### XSS_EXCEPTIONS

          public static final String XSS_EXCEPTIONS

      URL path prefixes where XSS protection is omitted. Contains one prefix per line (multiline value). Supports blank lines and comments (#).
      See Also:
        Constant Field Values

Copyright © 2011–2023 aiticon GmbH. All rights reserved.